#!/bin/bash

TORCH_VERSION=$(git describe --tags --abbrev=0)
PROJECT=torch-agent-$TORCH_VERSION

if [[ -z "${DEBEMAIL}" ]]; then
  DEBEMAIL="$1"
fi

if [[ -z "${DEBEMAIL}" ]]; then
  echo "E-mail address required for packaging signing with gpg key!"
  echo "Usage: ./build-deb.sh EMAIL"
  exit 1
fi

BUILD_DIR=dist
DEB_DIR=$BUILD_DIR/$PROJECT

rm -rf $BUILD_DIR/*

python3 setup.py sdist

mkdir -p $DEB_DIR/src/etc/torch
cp -r debian $DEB_DIR/
cp torch.conf $DEB_DIR/src/etc/torch/

cd $BUILD_DIR
tar -xzmf $PROJECT.tar.gz

cd $PROJECT
export USER=`whoami`
dh_make --createorig -e $DEBEMAIL -s -y
dpkg-buildpackage -k$DEBEMAIL
