#!/usr/bin/env python3
import setuptools
import torch_agent

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="torch-agent",
    version=torch_agent.__version__,
    author="B.J. Dweck",
    author_email="bjdweck@gmail.com",
    description="TORch: Illuminate the Way to your Node",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://git.rudefox.io/bj/torch-agent",
    packages=setuptools.find_packages(),
    install_requires=[
        'stem',
        'paho-mqtt>=1.5.1',
        'PySocks',
    ],
    entry_points = {
        'console_scripts': ['torch-agent=torch_agent.torch_agent:main'],
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
    ],
    python_requires='>=3.6',
)

